diff --git a/combo/apps/lingo/migrations/0005_auto_20150307_1242.py b/combo/apps/lingo/migrations/0005_auto_20150307_1242.py
index 1942e295..ba83873a 100644
--- a/combo/apps/lingo/migrations/0005_auto_20150307_1242.py
+++ b/combo/apps/lingo/migrations/0005_auto_20150307_1242.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 from django.conf import settings
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0006_transaction_status.py b/combo/apps/lingo/migrations/0006_transaction_status.py
index 4d81b6c0..81b2c392 100644
--- a/combo/apps/lingo/migrations/0006_transaction_status.py
+++ b/combo/apps/lingo/migrations/0006_transaction_status.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0007_lingobasketlinkcell.py b/combo/apps/lingo/migrations/0007_lingobasketlinkcell.py
index 24e6144e..68819d2f 100644
--- a/combo/apps/lingo/migrations/0007_lingobasketlinkcell.py
+++ b/combo/apps/lingo/migrations/0007_lingobasketlinkcell.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0008_auto_20150908_1538.py b/combo/apps/lingo/migrations/0008_auto_20150908_1538.py
index c6f87066..7fefb93d 100644
--- a/combo/apps/lingo/migrations/0008_auto_20150908_1538.py
+++ b/combo/apps/lingo/migrations/0008_auto_20150908_1538.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import ckeditor.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0009_auto_20150917_1456.py b/combo/apps/lingo/migrations/0009_auto_20150917_1456.py
index f67ad490..4772b836 100644
--- a/combo/apps/lingo/migrations/0009_auto_20150917_1456.py
+++ b/combo/apps/lingo/migrations/0009_auto_20150917_1456.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 from django.conf import settings
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0010_regie_payment_min_amount.py b/combo/apps/lingo/migrations/0010_regie_payment_min_amount.py
index 619a751a..3522dd76 100644
--- a/combo/apps/lingo/migrations/0010_regie_payment_min_amount.py
+++ b/combo/apps/lingo/migrations/0010_regie_payment_min_amount.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0011_auto_20151029_1535.py b/combo/apps/lingo/migrations/0011_auto_20151029_1535.py
index e01c42dc..7a29a6fc 100644
--- a/combo/apps/lingo/migrations/0011_auto_20151029_1535.py
+++ b/combo/apps/lingo/migrations/0011_auto_20151029_1535.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0012_auto_20151130_1047.py b/combo/apps/lingo/migrations/0012_auto_20151130_1047.py
index 92c9d809..c9a8efd0 100644
--- a/combo/apps/lingo/migrations/0012_auto_20151130_1047.py
+++ b/combo/apps/lingo/migrations/0012_auto_20151130_1047.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0013_transaction_amount.py b/combo/apps/lingo/migrations/0013_transaction_amount.py
index f1afda8c..02e653fa 100644
--- a/combo/apps/lingo/migrations/0013_transaction_amount.py
+++ b/combo/apps/lingo/migrations/0013_transaction_amount.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0014_auto_20160218_1455.py b/combo/apps/lingo/migrations/0014_auto_20160218_1455.py
index ceddf9b4..b1c9154a 100644
--- a/combo/apps/lingo/migrations/0014_auto_20160218_1455.py
+++ b/combo/apps/lingo/migrations/0014_auto_20160218_1455.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0015_auto_20160309_2150.py b/combo/apps/lingo/migrations/0015_auto_20160309_2150.py
index bb3eae42..1ea74382 100644
--- a/combo/apps/lingo/migrations/0015_auto_20160309_2150.py
+++ b/combo/apps/lingo/migrations/0015_auto_20160309_2150.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0016_auto_20160319_2028.py b/combo/apps/lingo/migrations/0016_auto_20160319_2028.py
index 260fddaa..e6d618c5 100644
--- a/combo/apps/lingo/migrations/0016_auto_20160319_2028.py
+++ b/combo/apps/lingo/migrations/0016_auto_20160319_2028.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0025_auto_20161206_1713.py b/combo/apps/lingo/migrations/0025_auto_20161206_1713.py
index 6b01fc78..502de149 100644
--- a/combo/apps/lingo/migrations/0025_auto_20161206_1713.py
+++ b/combo/apps/lingo/migrations/0025_auto_20161206_1713.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 from django.conf import settings
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0028_tipipaymentformcell.py b/combo/apps/lingo/migrations/0028_tipipaymentformcell.py
index 35462458..c66b5430 100644
--- a/combo/apps/lingo/migrations/0028_tipipaymentformcell.py
+++ b/combo/apps/lingo/migrations/0028_tipipaymentformcell.py
@@ -1,7 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
+
 import combo.data.fields
 
 
diff --git a/combo/apps/lingo/migrations/0030_transaction_to_be_paid_remote_items.py b/combo/apps/lingo/migrations/0030_transaction_to_be_paid_remote_items.py
index f8dc9cc8..8e733a84 100644
--- a/combo/apps/lingo/migrations/0030_transaction_to_be_paid_remote_items.py
+++ b/combo/apps/lingo/migrations/0030_transaction_to_be_paid_remote_items.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/models.py b/combo/apps/lingo/models.py
index 6980a992..ee065b5f 100644
--- a/combo/apps/lingo/models.py
+++ b/combo/apps/lingo/models.py
@@ -17,40 +17,39 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import datetime
-from decimal import Decimal
 import json
 import logging
 import re
+from decimal import Decimal
 
-from dateutil import parser
 import eopayment
-from jsonfield import JSONField
-from requests import RequestException
-
+from dateutil import parser
 from django import template
 from django.conf import settings
+from django.contrib.auth.models import User
 from django.core import serializers
-from django.db import models
-from django.forms import models as model_forms, Select
-from django.utils.translation import ugettext_lazy as _
-from django.utils import timezone, dateparse, six
+from django.core.exceptions import ObjectDoesNotExist, PermissionDenied, ValidationError
 from django.core.mail import EmailMultiAlternatives
+from django.db import models
+from django.forms import Select
+from django.forms import models as model_forms
+from django.template.loader import render_to_string
 from django.urls import reverse
-from django.core.exceptions import ObjectDoesNotExist, PermissionDenied, ValidationError
+from django.utils import dateparse, six, timezone
 from django.utils.encoding import force_bytes, python_2_unicode_compatible
 from django.utils.formats import localize
 from django.utils.http import urlencode
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.timezone import make_aware, utc
+from django.utils.translation import ugettext_lazy as _
+from jsonfield import JSONField
+from requests import RequestException
 
-from django.contrib.auth.models import User
-from django.template.loader import render_to_string
-
+from combo.apps.notifications.models import Notification
 from combo.data.fields import RichTextField
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
+from combo.data.models import CellBase
 from combo.utils import NothingInCacheException, aes_hex_encrypt, requests
-from combo.apps.notifications.models import Notification
 
 from .utils import signing_dumps
 
diff --git a/combo/apps/lingo/urls.py b/combo/apps/lingo/urls.py
index c89979e8..0363b13a 100644
--- a/combo/apps/lingo/urls.py
+++ b/combo/apps/lingo/urls.py
@@ -14,40 +14,40 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.conf.urls import url, include
+from django.conf.urls import include, url
 
 from combo.urls_utils import decorated_includes, manager_required
 
+from .manager_views import (
+    BasketItemErrorListView,
+    BasketItemMarkAsNotifiedView,
+    PaymentBackendCreateView,
+    PaymentBackendDeleteView,
+    PaymentBackendListView,
+    PaymentBackendUpdateView,
+    RegieCreateView,
+    RegieDeleteView,
+    RegieListView,
+    RegieUpdateView,
+    TransactionListView,
+    download_transactions_csv,
+)
 from .views import (
-    RegiesApiView,
     AddBasketItemApiView,
-    PayView,
+    BasketItemPayView,
     CallbackView,
-    ReturnView,
+    CancelItemView,
+    CancelTransactionApiView,
     ItemDownloadView,
     ItemView,
-    CancelItemView,
+    PaymentStatusView,
+    PayView,
+    RegiesApiView,
     RemoveBasketItemApiView,
-    ValidateTransactionApiView,
-    CancelTransactionApiView,
+    ReturnView,
     SelfInvoiceView,
-    BasketItemPayView,
     TransactionStatusApiView,
-    PaymentStatusView,
-)
-from .manager_views import (
-    RegieListView,
-    RegieCreateView,
-    RegieUpdateView,
-    RegieDeleteView,
-    TransactionListView,
-    BasketItemErrorListView,
-    download_transactions_csv,
-    PaymentBackendListView,
-    PaymentBackendCreateView,
-    PaymentBackendUpdateView,
-    PaymentBackendDeleteView,
-    BasketItemMarkAsNotifiedView,
+    ValidateTransactionApiView,
 )
 
 lingo_manager_urls = [
diff --git a/combo/apps/lingo/views.py b/combo/apps/lingo/views.py
index 3bfcf7cf..e4a155f5 100644
--- a/combo/apps/lingo/views.py
+++ b/combo/apps/lingo/views.py
@@ -14,47 +14,52 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from decimal import Decimal, ROUND_HALF_UP
 import json
 import logging
-import requests
+from decimal import ROUND_HALF_UP, Decimal
 
+import eopayment
+import requests
+from django.conf import settings
+from django.contrib import messages
 from django.contrib.auth.models import User
-from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
-from django.urls import reverse
 from django.core import signing
-from django.http import HttpResponse, HttpResponseNotFound, HttpResponseRedirect, HttpResponseBadRequest
-from django.http import HttpResponseForbidden, Http404, JsonResponse
+from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
+from django.db.transaction import atomic
+from django.http import (
+    Http404,
+    HttpResponse,
+    HttpResponseBadRequest,
+    HttpResponseForbidden,
+    HttpResponseNotFound,
+    HttpResponseRedirect,
+    JsonResponse,
+)
+from django.shortcuts import get_object_or_404
 from django.template.response import TemplateResponse
-from django.utils import timezone, dateparse, six
-from django.utils.encoding import force_text
+from django.urls import reverse
+from django.utils import dateparse, six, timezone
+from django.utils.encoding import force_text, smart_text
 from django.utils.http import urlencode
-from django.views.decorators.csrf import csrf_exempt
-from django.views.generic import View, DetailView, ListView, TemplateView
-from django.conf import settings
-from django.contrib import messages
 from django.utils.translation import ugettext_lazy as _
-from django.db.transaction import atomic
-from django.shortcuts import get_object_or_404
-from django.utils.encoding import smart_text
-
-import eopayment
+from django.views.decorators.csrf import csrf_exempt
+from django.views.generic import DetailView, ListView, TemplateView, View
 
 from combo.data.models import Page
-from combo.utils import check_request_signature, aes_hex_decrypt, DecryptionError
 from combo.profile.utils import get_user_from_name_id
 from combo.public.views import publish_page
+from combo.utils import DecryptionError, aes_hex_decrypt, check_request_signature
 
 from .models import (
-    Regie,
+    EXPIRED,
     BasketItem,
-    Transaction,
-    TransactionOperation,
     LingoBasketCell,
-    SelfDeclaredInvoicePayment,
     PaymentBackend,
-    EXPIRED,
+    Regie,
     RemoteInvoiceException,
+    SelfDeclaredInvoicePayment,
+    Transaction,
+    TransactionOperation,
 )
 from .utils import signing_dumps, signing_loads
 
diff --git a/combo/apps/maps/manager_views.py b/combo/apps/maps/manager_views.py
index 1473977d..b6165519 100644
--- a/combo/apps/maps/manager_views.py
+++ b/combo/apps/maps/manager_views.py
@@ -14,17 +14,16 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.urls import reverse, reverse_lazy
 from django.http import Http404
 from django.shortcuts import get_object_or_404
+from django.urls import reverse, reverse_lazy
 from django.utils.translation import ugettext_lazy as _
-from django.views.generic import ListView, CreateView, UpdateView, DeleteView
+from django.views.generic import CreateView, DeleteView, ListView, UpdateView
 
 from combo.data.models import CellBase, PageSnapshot
-from .models import Map
-from .models import MapLayer
-from .models import MapLayerOptions
+
 from .forms import MapLayerForm, MapLayerOptionsForm
+from .models import Map, MapLayer, MapLayerOptions
 
 
 class MapLayerMixin(object):
diff --git a/combo/apps/maps/models.py b/combo/apps/maps/models.py
index 329585a7..9a3df1dc 100644
--- a/combo/apps/maps/models.py
+++ b/combo/apps/maps/models.py
@@ -16,25 +16,22 @@
 
 import json
 
-from django.core import serializers
-from django.core import validators
+import pyproj
+from django import forms
+from django.conf import settings
+from django.core import serializers, validators
 from django.db import models
+from django.urls import reverse
 from django.utils import six
 from django.utils.encoding import python_2_unicode_compatible
 from django.utils.html import escape
 from django.utils.text import slugify
 from django.utils.translation import ugettext_lazy as _
-from django.urls import reverse
-from django import forms
-from django.conf import settings
-
-import pyproj
 from requests.models import PreparedRequest
 
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
-from combo.utils import requests, get_templated_url
-
+from combo.data.models import CellBase
+from combo.utils import get_templated_url, requests
 
 KIND = [
     ('tiles', _('Tiles')),
diff --git a/combo/apps/maps/urls.py b/combo/apps/maps/urls.py
index 6912ee7d..7a89418a 100644
--- a/combo/apps/maps/urls.py
+++ b/combo/apps/maps/urls.py
@@ -14,12 +14,11 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.conf.urls import url, include
+from django.conf.urls import include, url
 
 from combo.urls_utils import decorated_includes, manager_required
 
 from . import manager_views
-
 from .views import GeojsonView
 
 maps_manager_urls = [
diff --git a/combo/apps/newsletters/migrations/0001_initial.py b/combo/apps/newsletters/migrations/0001_initial.py
index 621a1b11..bd8eb6cd 100644
--- a/combo/apps/newsletters/migrations/0001_initial.py
+++ b/combo/apps/newsletters/migrations/0001_initial.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/newsletters/models.py b/combo/apps/newsletters/models.py
index ef4d4f57..a6d4f580 100644
--- a/combo/apps/newsletters/models.py
+++ b/combo/apps/newsletters/models.py
@@ -14,20 +14,19 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import logging
 import json
+import logging
 
-from requests.exceptions import RequestException, HTTPError
-
+from django.conf import settings
 from django.db import models
-from django.utils.translation import ugettext_lazy as _
-from django.template.defaultfilters import slugify
 from django.forms import models as model_forms
-from django.conf import settings
+from django.template.defaultfilters import slugify
 from django.utils.http import urlencode
+from django.utils.translation import ugettext_lazy as _
+from requests.exceptions import HTTPError, RequestException
 
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
+from combo.data.models import CellBase
 from combo.utils import requests
 
 from .forms import NewslettersManageForm
diff --git a/combo/apps/notifications/api_views.py b/combo/apps/notifications/api_views.py
index 3d233ab1..8e82c913 100644
--- a/combo/apps/notifications/api_views.py
+++ b/combo/apps/notifications/api_views.py
@@ -15,8 +15,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.utils.encoding import force_text
-
-from rest_framework import authentication, serializers, permissions, status
+from rest_framework import authentication, permissions, serializers, status
 from rest_framework.generics import GenericAPIView
 from rest_framework.response import Response
 
diff --git a/combo/apps/notifications/urls.py b/combo/apps/notifications/urls.py
index 378ee492..cf098835 100644
--- a/combo/apps/notifications/urls.py
+++ b/combo/apps/notifications/urls.py
@@ -16,7 +16,7 @@
 
 from django.conf.urls import url
 
-from .api_views import add, ack, forget, count
+from .api_views import ack, add, count, forget
 
 urlpatterns = [
     url('^api/notification/add/$', add, name='api-notification-add'),
diff --git a/combo/apps/pwa/manager_views.py b/combo/apps/pwa/manager_views.py
index 7f30c7ad..706beb33 100644
--- a/combo/apps/pwa/manager_views.py
+++ b/combo/apps/pwa/manager_views.py
@@ -14,17 +14,17 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.urls import reverse_lazy
-from django.db.models import Max
 from django import forms
+from django.db.models import Max
 from django.http import JsonResponse
+from django.urls import reverse_lazy
 from django.utils.translation import ugettext_lazy as _
-from django.views.generic import CreateView, UpdateView, DeleteView
+from django.views.generic import CreateView, DeleteView, UpdateView
 
 from combo.data.forms import get_page_choices
 
-from .models import PwaSettings, PwaNavigationEntry
 from .forms import PwaSettingsForm
+from .models import PwaNavigationEntry, PwaSettings
 
 
 class ManagerHomeView(UpdateView):
diff --git a/combo/apps/pwa/models.py b/combo/apps/pwa/models.py
index d4860d09..94bf1809 100644
--- a/combo/apps/pwa/models.py
+++ b/combo/apps/pwa/models.py
@@ -25,15 +25,14 @@ from django.core.files.base import ContentFile
 from django.core.files.storage import default_storage
 from django.db import models
 from django.utils import six
-from django.utils.encoding import force_text, force_bytes
+from django.utils.encoding import force_bytes, force_text
 from django.utils.six import BytesIO
 from django.utils.translation import ugettext_lazy as _
-
+from jsonfield import JSONField
 from py_vapid import Vapid
 
-from jsonfield import JSONField
-from combo.data.fields import RichTextField
 from combo import utils
+from combo.data.fields import RichTextField
 
 
 class PwaSettings(models.Model):
diff --git a/combo/apps/pwa/urls.py b/combo/apps/pwa/urls.py
index 45a8a6b1..1e4d21d7 100644
--- a/combo/apps/pwa/urls.py
+++ b/combo/apps/pwa/urls.py
@@ -14,26 +14,25 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.conf.urls import url, include
+from django.conf.urls import include, url
 
 from combo.urls_utils import decorated_includes, manager_required
 
 from .manager_views import (
-    ManagerHomeView,
     ManagerAddNavigationEntry,
-    ManagerEditNavigationEntry,
     ManagerDeleteNavigationEntry,
+    ManagerEditNavigationEntry,
+    ManagerHomeView,
     manager_navigation_order,
 )
 from .views import (
     manifest_json,
+    offline_page,
     service_worker_js,
     service_worker_registration_js,
     subscribe_push,
-    offline_page,
 )
 
-
 pwa_manager_urls = [
     url('^$', ManagerHomeView.as_view(), name='pwa-manager-homepage'),
     url('^navigation/add/$', ManagerAddNavigationEntry.as_view(), name='pwa-manager-navigation-add'),
diff --git a/combo/apps/pwa/views.py b/combo/apps/pwa/views.py
index 5f37994d..6d4cb098 100644
--- a/combo/apps/pwa/views.py
+++ b/combo/apps/pwa/views.py
@@ -17,20 +17,19 @@
 import base64
 import json
 
+from cryptography.hazmat.primitives import serialization
 from django.conf import settings
-
-from django.http import HttpResponse, HttpResponseForbidden, Http404, JsonResponse, HttpResponseBadRequest
-from django.template.loader import get_template, TemplateDoesNotExist
-from django.utils.encoding import force_text, force_bytes
+from django.http import Http404, HttpResponse, HttpResponseBadRequest, HttpResponseForbidden, JsonResponse
+from django.template.loader import TemplateDoesNotExist, get_template
+from django.utils.encoding import force_bytes, force_text
 from django.views.decorators.csrf import csrf_exempt
 from django.views.generic import TemplateView
-
-from cryptography.hazmat.primitives import serialization
 from py_vapid import Vapid
 
-from .models import PushSubscription, PwaSettings
 from combo import VERSION
 
+from .models import PushSubscription, PwaSettings
+
 
 def manifest_json(request, *args, **kwargs):
     try:
diff --git a/combo/apps/search/manager_views.py b/combo/apps/search/manager_views.py
index 9f47a0cc..cce48e07 100644
--- a/combo/apps/search/manager_views.py
+++ b/combo/apps/search/manager_views.py
@@ -14,14 +14,12 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.http import HttpResponse
-from django.http import HttpResponseRedirect
-from django.shortcuts import get_object_or_404
-from django.shortcuts import render
+from django.http import HttpResponse, HttpResponseRedirect
+from django.shortcuts import get_object_or_404, render
 from django.urls import reverse
 from django.utils.translation import ugettext_lazy as _
 
-from combo.apps.search.forms import TextEngineSettingsForm, CardsEngineSettingsForm
+from combo.apps.search.forms import CardsEngineSettingsForm, TextEngineSettingsForm
 from combo.apps.search.models import SearchCell
 from combo.data.models import PageSnapshot
 
diff --git a/combo/apps/search/models.py b/combo/apps/search/models.py
index cae1323e..0f8bc347 100644
--- a/combo/apps/search/models.py
+++ b/combo/apps/search/models.py
@@ -14,25 +14,23 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+from django import template
 from django.contrib.auth.models import Group
 from django.contrib.contenttypes import fields
 from django.contrib.contenttypes.models import ContentType
+from django.core.exceptions import PermissionDenied
 from django.db import models
-from django.utils.translation import ugettext_lazy as _
-from django import template
 from django.http import HttpResponse
-from django.core.exceptions import PermissionDenied
-from django.utils.functional import cached_property
-from django.utils.http import quote
 from django.shortcuts import get_object_or_404
 from django.template import RequestContext, Template
-
+from django.utils.functional import cached_property
+from django.utils.http import quote
+from django.utils.translation import ugettext_lazy as _
 from jsonfield import JSONField
 
-from combo.utils import requests
-from combo.data.models import CellBase, Page
 from combo.data.library import register_cell_class
-from combo.utils import get_templated_url
+from combo.data.models import CellBase, Page
+from combo.utils import get_templated_url, requests
 
 from . import engines
 
diff --git a/combo/apps/search/urls.py b/combo/apps/search/urls.py
index 17ce7cd9..efed09a5 100644
--- a/combo/apps/search/urls.py
+++ b/combo/apps/search/urls.py
@@ -14,11 +14,12 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.conf.urls import url, include
+from django.conf.urls import include, url
 
 from combo.urls_utils import decorated_includes, manager_required
-from .models import SearchCell
+
 from . import manager_views
+from .models import SearchCell
 
 search_manager_urls = [
     url(
diff --git a/combo/apps/search/utils.py b/combo/apps/search/utils.py
index af981191..f9223c32 100644
--- a/combo/apps/search/utils.py
+++ b/combo/apps/search/utils.py
@@ -18,10 +18,11 @@ from django.conf import settings
 from django.contrib.contenttypes.models import ContentType
 from django.contrib.postgres.search import SearchQuery, SearchRank, SearchVector
 from django.db import connection
-from django.db.models import Q, Prefetch
+from django.db.models import Prefetch, Q
 from django.db.transaction import atomic
 
-from combo.data.models import Page, CellBase, ValidityInfo
+from combo.data.models import CellBase, Page, ValidityInfo
+
 from .models import IndexedCell
 
 
diff --git a/combo/apps/wcs/__init__.py b/combo/apps/wcs/__init__.py
index bc942d7a..7a2ca1d9 100644
--- a/combo/apps/wcs/__init__.py
+++ b/combo/apps/wcs/__init__.py
@@ -20,7 +20,8 @@ import django.apps
 from django.conf import settings
 from django.urls import reverse
 from django.utils.encoding import force_bytes
-from django.utils.translation import ugettext_lazy as _, pgettext_lazy
+from django.utils.translation import pgettext_lazy
+from django.utils.translation import ugettext_lazy as _
 
 
 class AppConfig(django.apps.AppConfig):
@@ -46,6 +47,7 @@ class AppConfig(django.apps.AppConfig):
 
     def get_card_search_engines(self, wcs_services):
         from combo.data.models import Page
+
         from .utils import get_wcs_json
 
         pages_with_sub_slug = Page.objects.exclude(sub_slug='')
@@ -125,12 +127,13 @@ class AppConfig(django.apps.AppConfig):
 
     def update_db_cache(self):
         from combo.data.models import CellBase
+
         from .models import (
-            WcsFormCell,
+            WcsCardInfosCell,
+            WcsCardsCell,
             WcsCategoryCell,
+            WcsFormCell,
             WcsFormsOfCategoryCell,
-            WcsCardsCell,
-            WcsCardInfosCell,
         )
 
         models_to_update = [
diff --git a/combo/apps/wcs/migrations/0001_initial.py b/combo/apps/wcs/migrations/0001_initial.py
index 8d50d2dc..e87623b1 100644
--- a/combo/apps/wcs/migrations/0001_initial.py
+++ b/combo/apps/wcs/migrations/0001_initial.py
@@ -1,7 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
+
 import combo.apps.wcs.models
 
 
diff --git a/combo/apps/wcs/migrations/0002_auto_20150217_1402.py b/combo/apps/wcs/migrations/0002_auto_20150217_1402.py
index 73422c07..5705de54 100644
--- a/combo/apps/wcs/migrations/0002_auto_20150217_1402.py
+++ b/combo/apps/wcs/migrations/0002_auto_20150217_1402.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0003_auto_20150218_1151.py b/combo/apps/wcs/migrations/0003_auto_20150218_1151.py
index 62365ecf..4180a8ea 100644
--- a/combo/apps/wcs/migrations/0003_auto_20150218_1151.py
+++ b/combo/apps/wcs/migrations/0003_auto_20150218_1151.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0004_auto_20150218_1154.py b/combo/apps/wcs/migrations/0004_auto_20150218_1154.py
index e756d99f..b57337bf 100644
--- a/combo/apps/wcs/migrations/0004_auto_20150218_1154.py
+++ b/combo/apps/wcs/migrations/0004_auto_20150218_1154.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0005_auto_20150401_0758.py b/combo/apps/wcs/migrations/0005_auto_20150401_0758.py
index 05c21186..b558fb69 100644
--- a/combo/apps/wcs/migrations/0005_auto_20150401_0758.py
+++ b/combo/apps/wcs/migrations/0005_auto_20150401_0758.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0006_categoriescell.py b/combo/apps/wcs/migrations/0006_categoriescell.py
index 479f0221..5b3d98a8 100644
--- a/combo/apps/wcs/migrations/0006_categoriescell.py
+++ b/combo/apps/wcs/migrations/0006_categoriescell.py
@@ -1,7 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
+
 import combo.apps.wcs.models
 
 
